CVE-2019-1000020

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

libarchive version commit 5a98dcf8a86364b3c2c469c85b93647dfb139961 onwards (version v2.8.0 onwards) contains a CWE-835: Loop with Unreachable Exit Condition ('Infinite Loop') vulnerability in ISO9660 parser, archive_read_support_format_iso9660.c, read_CE()/parse_rockridge() that can result in DoS by infinite loop. This attack appears to be exploitable via the victim opening a specially crafted ISO9660 file.

References

http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00055.html

http://lists.opensuse.org/opensuse-security-announce/2019-12/msg00012.html

http://lists.opensuse.org/opensuse-security-announce/2019-12/msg00015.html

https://access.redhat.com/errata/RHSA-2019:2298

https://access.redhat.com/errata/RHSA-2019:3698

https://github.com/libarchive/libarchive/pull/1120

https://github.com/libarchive/libarchive/pull/1120/commits/8312eaa576014cd9b965012af51bc1f967b12423

https://lists.debian.org/debian-lts-announce/2019/02/msg00013.html

https://lists.fedoraproject.org/archives/list/[email protected]/message/CBOCC2M6YGPZA6US43YK4INPSJZZHRTG/

https://lists.fedoraproject.org/archives/list/[email protected]/message/ZVXA7PHINVT6DFF6PRLTDTVTXKDLVHNF/

https://usn.ubuntu.com/3884-1/

Details

Source: MITRE

Published: 2019-02-04

Updated: 2020-08-24

Type: CWE-835

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM

Tenable Plugins

View all (26 total)

IDNameProductFamilySeverity
145623CentOS 8 : libarchive (CESA-2019:3698)NessusCentOS Local Security Checks
high
135650EulerOS Virtualization 3.0.2.2 : libarchive (EulerOS-SA-2020-1488)NessusHuawei Local Security Checks
high
132509NewStart CGSL CORE 5.05 / MAIN 5.05 : libarchive Multiple Vulnerabilities (NS-SA-2019-0248)NessusNewStart CGSL Local Security Checks
high
131692openSUSE Security Update : libarchive (openSUSE-2019-2632)NessusSuSE Local Security Checks
high
131685openSUSE Security Update : libarchive (openSUSE-2019-2615)NessusSuSE Local Security Checks
high
131554SUSE SLED15 / SLES15 Security Update : libarchive (SUSE-SU-2019:3093-1)NessusSuSE Local Security Checks
high
131553SUSE SLED12 / SLES12 Security Update : libarchive (SUSE-SU-2019:3092-1)NessusSuSE Local Security Checks
high
130565RHEL 8 : libarchive (RHSA-2019:3698)NessusRed Hat Local Security Checks
high
130222Amazon Linux 2 : libarchive (ALAS-2019-1325)NessusAmazon Linux Local Security Checks
high
129902NewStart CGSL CORE 5.04 / MAIN 5.04 : libarchive Multiple Vulnerabilities (NS-SA-2019-0201)NessusNewStart CGSL Local Security Checks
high
129798Amazon Linux AMI : libarchive (ALAS-2019-1308)NessusAmazon Linux Local Security Checks
high
129207EulerOS 2.0 SP3 : libarchive (EulerOS-SA-2019-2014)NessusHuawei Local Security Checks
high
128387CentOS 7 : libarchive (CESA-2019:2298)NessusCentOS Local Security Checks
high
128228Scientific Linux Security Update : libarchive on SL7.x x86_64 (20190806)NessusScientific Linux Local Security Checks
high
127709RHEL 7 : libarchive (RHSA-2019:2298)NessusRed Hat Local Security Checks
high
126930EulerOS 2.0 SP2 : libarchive (EulerOS-SA-2019-1725)NessusHuawei Local Security Checks
medium
126929EulerOS 2.0 SP5 : libarchive (EulerOS-SA-2019-1681)NessusHuawei Local Security Checks
medium
126556EulerOS Virtualization for ARM 64 3.0.2.0 : libarchive (EulerOS-SA-2019-1714)NessusHuawei Local Security Checks
medium
126114Photon OS 3.0: Libarchive PHSA-2019-3.0-0015NessusPhotonOS Local Security Checks
high
124863Photon OS 1.0: Libarchive PHSA-2019-1.0-0227NessusPhotonOS Local Security Checks
high
124051openSUSE Security Update : libarchive (openSUSE-2019-1196)NessusSuSE Local Security Checks
high
123766Fedora 28 : libarchive (2019-c595a93536)NessusFedora Local Security Checks
high
123636SUSE SLED15 / SLES15 Security Update : libarchive (SUSE-SU-2019:0831-1)NessusSuSE Local Security Checks
high
123098Fedora 29 : libarchive (2019-0233ec0ff3)NessusFedora Local Security Checks
high
122054Ubuntu 14.04 LTS / 16.04 LTS / 18.04 LTS / 18.10 : libarchive vulnerabilities (USN-3884-1)NessusUbuntu Local Security Checks
medium
122038Debian DLA-1668-1 : libarchive security updateNessusDebian Local Security Checks
medium